package calcolatriceproject03;

import javax.swing.*;
import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

public class Calcolatrice extends JFrame implements ActionListener {
    // Dichiarazione dei componenti
    private JTextField display;
    private JButton[] numeri;
    private JButton[] operazioni;
    private JButton uguale, cancella, clear;
    
    // Variabili per le operazioni
    private double num1, num2, risultato;
    private char operazione;

    // Costruttore
    public Calcolatrice() {
        // Impostazione della finestra
        setTitle("Calcolatrice");
        setSize(400, 550);
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        setLocationRelativeTo(null);
        
        // Layout della calcolatrice
        setLayout(new BorderLayout());
        
        // Display per mostrare i risultati
        display = new JTextField();
        display.setFont(new Font("Arial", Font.BOLD, 32));
        display.setEditable(false);
        add(display, BorderLayout.NORTH);

        // Pannello per i pulsanti numerici
        JPanel panel = new JPanel();
        panel.setLayout(new GridLayout(4, 4, 10, 10));
        
        // Pulsanti numerici
        numeri = new JButton[10];
        for (int i = 0; i < 10; i++) {
            numeri[i] = new JButton(String.valueOf(i));
            numeri[i].setFont(new Font("Arial", Font.BOLD, 32));
            numeri[i].addActionListener(this);
            panel.add(numeri[i]);
        }
        
        // Pulsanti per le operazioni
        String[] simboliOperazioni = {"+", "-", "*", "/"};
        operazioni = new JButton[simboliOperazioni.length];
        
        for (int i = 0; i < simboliOperazioni.length; i++) {
            operazioni[i] = new JButton(simboliOperazioni[i]);
            operazioni[i].setFont(new Font("Arial", Font.BOLD, 32));
            operazioni[i].addActionListener(this);
            panel.add(operazioni[i]);
        }
        
        // Pulsante uguale
        uguale = new JButton("=");
        uguale.setFont(new Font("Arial", Font.BOLD, 32));
        uguale.addActionListener(this);
        panel.add(uguale);
        
        // Pulsante cancella
        cancella = new JButton("C");
        cancella.setFont(new Font("Arial", Font.BOLD, 32));
        cancella.addActionListener(this);
        panel.add(cancella);
        
        // Pulsante clear
        clear = new JButton("AC");
        clear.setFont(new Font("Arial", Font.BOLD, 32));
        clear.addActionListener(this);
        panel.add(clear);
        
        // Aggiunta del pannello alla finestra
        add(panel, BorderLayout.CENTER);
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        for (int i = 0; i < 10; i++) {
            if (e.getSource() == numeri[i]) {
                display.setText(display.getText() + i);
            }
        }
        
        for (int i = 0; i < operazioni.length; i++) {
            if (e.getSource() == operazioni[i]) {
                num1 = Double.parseDouble(display.getText());
                operazione = operazioni[i].getText().charAt(0);
                display.setText("");
            }
        }

        if (e.getSource() == uguale) {
            num2 = Double.parseDouble(display.getText());
            switch (operazione) {
                case '+': risultato = num1 + num2; break;
                case '-': risultato = num1 - num2; break;
                case '*': risultato = num1 * num2; break;
                case '/': risultato = num1 / num2; break;
            }
            display.setText(String.valueOf(risultato));
        }

        if (e.getSource() == cancella) {
            String testo = display.getText();
            if (!testo.isEmpty()) {
                display.setText(testo.substring(0, testo.length() - 1));
            }
        }

        if (e.getSource() == clear) {
            display.setText("");
        }
    }

//    // Metodo principale
//    public static void main(String[] args) {
//        SwingUtilities.invokeLater(() -> {
//            new Calcolatrice().setVisible(true);
//        });
//    }
}
