package identikitproject06;

import javax.swing.*;
import java.awt.*;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;

public class Identikit extends JPanel {

    // Costruttore
    public Identikit() {
        // Aggiungiamo un MouseAdapter per disegnare con il mouse
        this.addMouseListener(new MouseAdapter() {
            @Override
            public void mousePressed(MouseEvent e) {
                // Disegna un punto dove l'utente ha cliccato
                Graphics g = getGraphics();
                g.fillOval(e.getX(), e.getY(), 10, 10); // Disegna un piccolo cerchio
                g.dispose();
            }
        });
    }

    // Sovrascrivi il metodo paintComponent per disegnare qualcosa di default
    @Override
    protected void paintComponent(Graphics g) {
        super.paintComponent(g);
        g.setColor(Color.BLACK);  // Colore di default
        // Puoi disegnare qualcosa all'inizio se vuoi, come linee o forme
        g.drawLine(0, 0, getWidth(), getHeight());
    }

    // Metodo main per avviare il programma
    public static void main(String[] args) {
        JFrame frame = new JFrame("Identikit");
        Identikit canvas = new Identikit();

        // Impostiamo le dimensioni del canvas
        canvas.setPreferredSize(new Dimension(800, 600));

        frame.add(canvas);
        frame.pack();
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        frame.setVisible(true);
    }
}
